<!DOCTYPE html>

<html lang="en" data-content_root="../">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Overview: module code &#8212; sagace 2025 documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css?v=5ecbeea2" />
    <link rel="stylesheet" type="text/css" href="../_static/basic.css?v=b08954a9" />
    <link rel="stylesheet" type="text/css" href="../_static/alabaster.css?v=27fed22d" />
    <script src="../_static/documentation_options.js?v=cb975c41"></script>
    <script src="../_static/doctools.js?v=9bcbadda"></script>
    <script src="../_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
   
  <link rel="stylesheet" href="../_static/custom.css" type="text/css" />
  

  
  

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <h1>All modules for which code is available</h1>
<ul><li><a href="_abc.html">_abc</a></li>
<li><a href="sagace/auth/application/authentication_use_case.html">sagace.auth.application.authentication_use_case</a></li>
<li><a href="sagace/auth/domain/authentication_repository.html">sagace.auth.domain.authentication_repository</a></li>
<li><a href="sagace/auth/infrastructure/authentication_api.html">sagace.auth.infrastructure.authentication_api</a></li>
<li><a href="sagace/auth/interfaces/authentication_service.html">sagace.auth.interfaces.authentication_service</a></li>
<li><a href="sagace/core/api_client.html">sagace.core.api_client</a></li>
<li><a href="sagace/core/http_api_client.html">sagace.core.http_api_client</a></li>
<li><a href="sagace/core/storage/file_storage.html">sagace.core.storage.file_storage</a></li>
<li><a href="sagace/core/storage/memory_storage.html">sagace.core.storage.memory_storage</a></li>
<li><a href="sagace/core/storage/redis_storage.html">sagace.core.storage.redis_storage</a></li>
<li><a href="sagace/core/token.html">sagace.core.token</a></li>
<li><a href="sagace/core/token_storage.html">sagace.core.token_storage</a></li>
<li><a href="sagace/exceptions/application/application_error.html">sagace.exceptions.application.application_error</a></li>
<li><a href="sagace/exceptions/domain/api_request_error.html">sagace.exceptions.domain.api_request_error</a></li>
<li><a href="sagace/exceptions/domain/domain_error.html">sagace.exceptions.domain.domain_error</a></li>
<li><a href="sagace/exceptions/domain/permission_denied_error.html">sagace.exceptions.domain.permission_denied_error</a></li>
<li><a href="sagace/exceptions/domain/token_expired_error.html">sagace.exceptions.domain.token_expired_error</a></li>
<li><a href="sagace/exceptions/infrastructure/authentication_error.html">sagace.exceptions.infrastructure.authentication_error</a></li>
<li><a href="sagace/exceptions/infrastructure/infrastructure_error.html">sagace.exceptions.infrastructure.infrastructure_error</a></li>
<li><a href="sagace/exceptions/interfaces/interface_error.html">sagace.exceptions.interfaces.interface_error</a></li>
</ul>

          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="Main">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="../index.html">sagace</a></h1>









<search id="searchbox" style="display: none" role="search">
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" placeholder="Search"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</search>
<script>document.getElementById('searchbox').style.display = "block"</script><h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Conteúdo:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../modules.html">sagace</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../index.html">Documentation overview</a><ul>
  </ul></li>
</ul>
</div>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &#169;2025, Ampere Consultoria.
      
      |
      Powered by <a href="https://www.sphinx-doc.org/">Sphinx 8.2.1</a>
      &amp; <a href="https://alabaster.readthedocs.io">Alabaster 1.0.0</a>
      
    </div>

    

    
  </body>
</html>